# Events (Meetings & Shows) The Meetings & Shows, or Events, API is used to manage all aspects of events from recurring webinars to annual trade shows. From this API you can access Registrants, Speakers, and Abstracts as well as update the details of your events themselves. Like most of the other Rhythm apps, the Events API includes endpoints for Query Definitions. These endpoints are commonly used to retrieve saved queries, which can then be executed using the Query endpoints of the System API. Version: v1-2025-04-18 ## Servers ``` https://events.api.rhythmsoftware.com ``` ## Security ### knox-authorizer Type: http Scheme: bearer Bearer Format: JWT ## Download OpenAPI description [Events (Meetings & Shows)](https://docs.api.rhythmsoftware.com/_bundle/apis/events/events-v1.yaml) ## Abstract Approval Processes Abstract Approval Processes ### Creates a new abstract approval process record that does not already exist. - [POST /abstractApprovalProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-approval-processes/createabstractapprovalprocess.md): This method will auto-generate an ID and create a new abstract approval process. If an ID is specified for the abstract approval process, an error will be thrown. ### Execute Batch Operations - [POST /abstractApprovalProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-approval-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /abstractApprovalProcesses/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-approval-processes/listprocessesbyeventid.md): Returns a list of records with the specified event_id ### Returns a abstract approval process from the system by its ID. - [DELETE /abstractApprovalProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-approval-processes/deleteabstractapprovalprocess.md): This method will delete a abstract approval process with the specified ID. ### Returns a abstract approval process from the system by its ID. - [GET /abstractApprovalProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-approval-processes/getabstractapprovalprocess.md): This method will look up a abstract approval process by the specified ID and return it back. ### Partially updates a abstract approval process with the specified ID. - [PATCH /abstractApprovalProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-approval-processes/patchabstractapprovalprocess.md): This method will patch an existing abstract approval process with the specified ID, using the HTTP PATCH specification. ### Updates a abstract approval process with the specified ID. - [PUT /abstractApprovalProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-approval-processes/updateabstractapprovalprocess.md): This method will update an existing abstract approval process with the specified ID. ## Abstract Decision Processes Abstract Decision Processes ### Gets all of the abstract decision processes in the system. - [GET /abstractDecisionProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-decision-processes/listabstractdecisionprocesses.md): This method will scan all abstract decision processes and and return them to the caller. ### Creates a new abstract decision process record that does not already exist. - [POST /abstractDecisionProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-decision-processes/createabstractdecisionprocess.md): This method will auto-generate an ID and create a new abstract decision process. If an ID is specified for the abstract decision process, an error will be thrown. ### Execute Batch Operations - [POST /abstractDecisionProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-decision-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a abstract decision process from the system by its ID. - [DELETE /abstractDecisionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-decision-processes/deleteabstractdecisionprocess.md): This method will delete a abstract decision process with the specified ID. ### Returns a abstract decision process from the system by its ID. - [GET /abstractDecisionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-decision-processes/getabstractdecisionprocess.md): This method will look up a abstract decision process by the specified ID and return it back. ### Partially updates a abstract decision process with the specified ID. - [PATCH /abstractDecisionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-decision-processes/patchabstractdecisionprocess.md): This method will patch an existing abstract decision process with the specified ID, using the HTTP PATCH specification. ### Updates a abstract decision process with the specified ID. - [PUT /abstractDecisionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-decision-processes/updateabstractdecisionprocess.md): This method will update an existing abstract decision process with the specified ID. ## Abstract Review Processes Abstract Review Processes ### Gets all of the abstract review processes in the system. - [GET /abstractReviewProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-processes/listabstractreviewprocesses.md): This method will scan all abstract review processes and and return them to the caller. ### Creates a new abstract review process record that does not already exist. - [POST /abstractReviewProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-processes/createabstractreviewprocess.md): This method will auto-generate an ID and create a new abstract review process. If an ID is specified for the abstract review process, an error will be thrown. ### Execute Batch Operations - [POST /abstractReviewProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /abstractReviewProcesses/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-processes/listprocessesbyeventid.md): Returns a list of records with the specified event_id ### Returns a abstract review process from the system by its ID. - [DELETE /abstractReviewProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-processes/deleteabstractreviewprocess.md): This method will delete a abstract review process with the specified ID. ### Returns a abstract review process from the system by its ID. - [GET /abstractReviewProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-processes/getabstractreviewprocess.md): This method will look up a abstract review process by the specified ID and return it back. ### Partially updates a abstract review process with the specified ID. - [PATCH /abstractReviewProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-processes/patchabstractreviewprocess.md): This method will patch an existing abstract review process with the specified ID, using the HTTP PATCH specification. ### Updates a abstract review process with the specified ID. - [PUT /abstractReviewProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-processes/updateabstractreviewprocess.md): This method will update an existing abstract review process with the specified ID. ## Abstract Review Rounds Abstract Review Rounds ### Gets all of the abstract review rounds in the system. - [GET /abstractReviewRounds/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-rounds/listabstractreviewrounds.md): This method will scan all abstract review rounds and and return them to the caller. ### Creates a new abstract review round record that does not already exist. - [POST /abstractReviewRounds/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-rounds/createabstractreviewround.md): This method will auto-generate an ID and create a new abstract review round. If an ID is specified for the abstract review round, an error will be thrown. ### Execute Batch Operations - [POST /abstractReviewRounds/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-rounds/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /abstractReviewRounds/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-rounds/listroundsbyeventid.md): Returns a list of records with the specified event_id ### Returns a list of records with the specified status - [GET /abstractReviewRounds/{tenantId}/status/{processId}/{status}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-rounds/listbyprocessstatus.md): Returns a list of records with the specified status ### Returns a abstract review round from the system by its ID. - [DELETE /abstractReviewRounds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-rounds/deleteabstractreviewround.md): This method will delete a abstract review round with the specified ID. ### Returns a abstract review round from the system by its ID. - [GET /abstractReviewRounds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-rounds/getabstractreviewround.md): This method will look up a abstract review round by the specified ID and return it back. ### Partially updates a abstract review round with the specified ID. - [PATCH /abstractReviewRounds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-rounds/patchabstractreviewround.md): This method will patch an existing abstract review round with the specified ID, using the HTTP PATCH specification. ### Updates a abstract review round with the specified ID. - [PUT /abstractReviewRounds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-review-rounds/updateabstractreviewround.md): This method will update an existing abstract review round with the specified ID. ## Abstract Reviews Abstract Reviews ### Creates a new abstract review record that does not already exist. - [POST /abstractReviews/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/createabstractreview.md): This method will auto-generate an ID and create a new abstract review. If an ID is specified for the abstract review, an error will be thrown. ### Returns a list of records with the specified abstract_id - [GET /abstractReviews/{tenantId}/abstract/{abstract_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/listreviewsbyabstractid.md): Returns a list of records with the specified abstract_id ### Assign reviews for passed in abstracts to specific users - [POST /abstractReviews/{tenantId}/assignReviews](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/assignreviews.md): Assign reviews for passed in abstracts to specific users ### Execute Batch Operations - [POST /abstractReviews/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified contact_id - [GET /abstractReviews/{tenantId}/contact/{contactId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/listabstractreviewsbycontactid.md): Returns a list of records with the specified contact_id ### Returns a list of records with the specified event_id and review_round_id - [GET /abstractReviews/{tenantId}/event/round/{eventId}/{roundId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/listreviewsbyeventroundid.md): Returns a list of records with the specified event_id and review_round_id ### Returns a list of records with the specified event_id - [GET /abstractReviews/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/listreviewsbyeventid.md): Returns a list of records with the specified event_id ### Open a review round generating reviews based on the round assignment rules - [GET /abstractReviews/{tenantId}/openRound/{typeId}/{roundId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/openreviewround.md): This endpoint opens a review round for a process and closes the existing open round, it also generates reviews for all of the assignees defined in the matching assignment rules on the round being opened ### Sends out a preview of the CRC notification email - [POST /abstractReviews/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/previewemail.md): Sends out a preview of the CRC notification email ### Resends the confirmation email for an abstract review submission - [POST /abstractReviews/{tenantId}/resendConfirmationEmail/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/resendconfirmationemail.md): Resends the confirmation email for an abstract review submission ### Resends the review assignment email for an abstract review submission - [POST /abstractReviews/{tenantId}/resendReviewAssignmentEmail/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/resendreviewassignmentemail.md): Resends the review assignment email for an abstract review submission ### Returns a list of records with the specified review_round_id - [GET /abstractReviews/{tenantId}/reviewRound/{review_round_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/listreviewsbyreviewroundid.md): Returns a list of records with the specified review_round_id ### Searches for abstract reviews using predefined parameters - [POST /abstractReviews/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/searchforabstractreviews.md): Searches for abstract reviews using predefined parameters ### Sends the review assignment email for an abstract review - [POST /abstractReviews/{tenantId}/sendReviewAssignmentEmail](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/sendreviewassignmentemail.md): Sends the review assignment email for an abstract review ### Submit an abstract review - [POST /abstractReviews/{tenantId}/submit](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/submitabstractreview.md) ### Returns a abstract review from the system by its ID. - [DELETE /abstractReviews/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/deleteabstractreview.md): This method will delete a abstract review with the specified ID. ### Returns a abstract review from the system by its ID. - [GET /abstractReviews/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/getabstractreview.md): This method will look up a abstract review by the specified ID and return it back. ### Partially updates a abstract review with the specified ID. - [PATCH /abstractReviews/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/patchabstractreview.md): This method will patch an existing abstract review with the specified ID, using the HTTP PATCH specification. ### Updates a abstract review with the specified ID. - [PUT /abstractReviews/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-reviews/updateabstractreview.md): This method will update an existing abstract review with the specified ID. ## Abstract Settings Abstract Settings ### Gets all of the abstract settings in the system. - [GET /abstractSettings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-settings/listabstractsettings.md): This method will scan all abstract settings and and return them to the caller. ### Creates a new abstract setting record that does not already exist. - [POST /abstractSettings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-settings/createabstractsetting.md): This method will auto-generate an ID and create a new abstract setting. If an ID is specified for the abstract setting, an error will be thrown. ### Execute Batch Operations - [POST /abstractSettings/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-settings/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a abstract setting from the system by its ID. - [DELETE /abstractSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-settings/deleteabstractsetting.md): This method will delete a abstract setting with the specified ID. ### Returns a abstract setting from the system by its ID. - [GET /abstractSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-settings/getabstractsetting.md): This method will look up a abstract setting by the specified ID and return it back. ### Partially updates a abstract setting with the specified ID. - [PATCH /abstractSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-settings/patchabstractsetting.md): This method will patch an existing abstract setting with the specified ID, using the HTTP PATCH specification. ### Updates a abstract setting with the specified ID. - [PUT /abstractSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-settings/updateabstractsetting.md): This method will update an existing abstract setting with the specified ID. ## Abstract Submission Processes Abstract Submission Processes ### Gets all of the abstract submission processes in the system. - [GET /abstractSubmissionProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/listabstractsubmissionprocesses.md): This method will scan all abstract submission processes and and return them to the caller. ### Creates a new abstract submission process record that does not already exist. - [POST /abstractSubmissionProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/createabstractsubmissionprocess.md): This method will auto-generate an ID and create a new abstract submission process. If an ID is specified for the abstract submission process, an error will be thrown. ### Execute Batch Operations - [POST /abstractSubmissionProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /abstractSubmissionProcesses/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/listprocessesbyeventid.md): Returns a list of records with the specified event_id ### Returns a abstract submission process from the system by its ID. - [DELETE /abstractSubmissionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/deleteabstractsubmissionprocess.md): This method will delete a abstract submission process with the specified ID. ### Returns a abstract submission process from the system by its ID. - [GET /abstractSubmissionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/getabstractsubmissionprocess.md): This method will look up a abstract submission process by the specified ID and return it back. ### Partially updates a abstract submission process with the specified ID. - [PATCH /abstractSubmissionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/patchabstractsubmissionprocess.md): This method will patch an existing abstract submission process with the specified ID, using the HTTP PATCH specification. ### Updates a abstract submission process with the specified ID. - [PUT /abstractSubmissionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-submission-processes/updateabstractsubmissionprocess.md): This method will update an existing abstract submission process with the specified ID. ## Abstract Types Abstract Types ### Creates a new abstract type record that does not already exist. - [POST /abstractTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/createabstracttype.md): This method will auto-generate an ID and create a new abstract type. If an ID is specified for the abstract type, an error will be thrown. ### Execute Batch Operations - [POST /abstractTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /abstractTypes/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/listtypesbyeventid.md): Returns a list of records with the specified event_id ### Returns a list of records with the specified review_process_id - [GET /abstractTypes/{tenantId}/reviewProcess/{review_process_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/listtypesbyreviewprocessid.md): Returns a list of records with the specified review_process_id ### Returns a abstract type from the system by its ID. - [DELETE /abstractTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/deleteabstracttype.md): This method will delete a abstract type with the specified ID. ### Returns a abstract type from the system by its ID. - [GET /abstractTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/getabstracttype.md): This method will look up a abstract type by the specified ID and return it back. ### Partially updates a abstract type with the specified ID. - [PATCH /abstractTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/patchabstracttype.md): This method will patch an existing abstract type with the specified ID, using the HTTP PATCH specification. ### Updates a abstract type with the specified ID. - [PUT /abstractTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/updateabstracttype.md): This method will update an existing abstract type with the specified ID. ## Abstracts Abstracts ### Creates a new abstract record that does not already exist. - [POST /abstracts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/createabstract.md): This method will auto-generate an ID and create a new abstract. If an ID is specified for the abstract, an error will be thrown. ### Execute Batch Operations - [POST /abstracts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Bulk update abstract statuses - [POST /abstracts/{tenantId}/breakoutSessions](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/breakoutsessions.md): Allows for bulk update of abstract statuses ### Calculations for the reviews for an abstract - [POST /abstracts/{tenantId}/calculateScore/{abstractId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/calculatescore.md): Return the set of totals and calculations for an abstract based on the reviews and grouped by the rounds ### Returns a list of records with the specified co_author_id - [GET /abstracts/{tenantId}/coAuthor/{co_author_contact_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/listabstractsbycoauthorid.md): Returns a list of records with the specified co_author_id ### End user abstract confirmation form submission endpoint - [POST /abstracts/{tenantId}/confirm/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/confirmabstract.md): Allows a portal user to submit an abstract confirmation-approval form with additional information ### Returns a list of records with the specified event_contact_id - [GET /abstracts/{tenantId}/eventContact/{eventId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/listabstractsbyeventcontactid.md): Returns a list of records with the specified event_contact_id ### Returns a list of records with the specified event_presenter_id - [GET /abstracts/{tenantId}/eventPresenter/{eventId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/listabstractsbyeventpresenterid.md): Returns a list of records with the specified event_presenter_id ### Get CoAuthor info for Abstracts - [GET /abstracts/{tenantId}/getCoAuthorInfo/{contactId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/getcoauthorinfo.md): Get CoAuthor info for Abstracts ### Sends out a preview of the CRC notification email - [POST /abstracts/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/previewemail.md): Sends out a preview of the CRC notification email ### Resends the confirmation email for an abstract submission - [GET /abstracts/{tenantId}/resendConfirmationEmail/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/resendconfirmationemail.md): Resends the confirmation email for an abstract submission ### Returns a list of records with the specified review_process_id - [GET /abstracts/{tenantId}/reviewProcess/{review_process_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/listabstractsbyreviewprocessid.md): Returns a list of records with the specified review_process_id ### Returns a list of records with the specified review_round_id - [POST /abstracts/{tenantId}/reviewRound/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/listabstractsbyreviewroundid.md): Returns a list of records with the specified review_round_id ### Searches for abstracts using predefined parameters - [POST /abstracts/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/searchforabstracts.md): Searches for abstracts using predefined parameters ### Process a Status Change Request - [PUT /abstracts/{tenantId}/status/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/processstatuschange.md): Updates the status and sends out the appropriate email ### Submit an abstract - [POST /abstracts/{tenantId}/submit](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/submitabstracts.md) ### Returns a list of records with the specified submitter_id - [GET /abstracts/{tenantId}/submitter/{submitter_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/listabstractsbysubmitterid.md): Returns a list of records with the specified submitter_id ### Returns a list of records with the specified type_id - [GET /abstracts/{tenantId}/type/{type_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/listabstractsbytypeid.md): Returns a list of records with the specified type_id ### Bulk update abstract statuses - [POST /abstracts/{tenantId}/updateStatus/{status}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/updateabstractstatuses.md): Allows for bulk update of abstract statuses ### Returns a abstract from the system by its ID. - [DELETE /abstracts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/deleteabstract.md): This method will delete a abstract with the specified ID. ### Returns a abstract from the system by its ID. - [GET /abstracts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/getabstract.md): This method will look up a abstract by the specified ID and return it back. ### Partially updates a abstract with the specified ID. - [PATCH /abstracts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/patchabstract.md): This method will patch an existing abstract with the specified ID, using the HTTP PATCH specification. ### Updates a abstract with the specified ID. - [PUT /abstracts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstracts/updateabstract.md): This method will update an existing abstract with the specified ID. ## Coupons Coupons ### Creates a new coupon record that does not already exist. - [POST /coupons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/coupons/createcoupon.md): This method will auto-generate an ID and create a new coupon. If an ID is specified for the coupon, an error will be thrown. ### Execute Batch Operations - [POST /coupons/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/coupons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /coupons/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/coupons/listcouponsbyeventid.md): Returns a list of records with the specified event_id ### Returns a coupon from the system by its ID. - [DELETE /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/coupons/deletecoupon.md): This method will delete a coupon with the specified ID. ### Returns a coupon from the system by its ID. - [GET /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/coupons/getcoupon.md): This method will look up a coupon by the specified ID and return it back. ### Partially updates a coupon with the specified ID. - [PATCH /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/coupons/patchcoupon.md): This method will patch an existing coupon with the specified ID, using the HTTP PATCH specification. ### Updates a coupon with the specified ID. - [PUT /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/coupons/updatecoupon.md): This method will update an existing coupon with the specified ID. ## Events Events ### Creates a new event record that does not already exist. - [POST /events/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/createevent.md): This method will auto-generate an ID and create a new event. If an ID is specified for the event, an error will be thrown. ### Execute Batch Operations - [POST /events/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified chapter_id - [GET /events/{tenantId}/chapter/{chapter_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/listeventsbychapterid.md): Returns a list of records with the specified chapter_id ### Creates a copy of an event, along with other associated records - [POST /events/{tenantId}/clone](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/cloneevent.md): Creates a copy of an event, along with other associated records ### Can add guest - [GET /events/{tenantId}/guestEligibility/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/canaddguest.md): Returns a list of records with the specified type_id ### Returns a list of records that are upcoming - [GET /events/{tenantId}/public/upcoming](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/getupcomingevents.md): Returns a list of records that are upcoming ### Gets the public event info - [GET /events/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/getpubliceventinfo.md): Gets the public event info ### Searches for events using predefined parameters - [POST /events/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/searchforevents.md): Searches for events using predefined parameters ### Returns a list of records that start after specified start_date - [GET /events/{tenantId}/startDate/{start_date}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/listeventsstartingafter.md): Returns a list of records with that start after the specified start_date ### Returns a list of records with the specified type_id - [GET /events/{tenantId}/type/{type_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/listeventsbytypeid.md): Returns a list of records with the specified type_id ### Returns a event from the system by its ID. - [DELETE /events/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/deleteevent.md): This method will delete a event with the specified ID. ### Returns a event from the system by its ID. - [GET /events/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/getevent.md): This method will look up a event by the specified ID and return it back. ### Partially updates a event with the specified ID. - [PATCH /events/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/patchevent.md): This method will patch an existing event with the specified ID, using the HTTP PATCH specification. ### Updates a event with the specified ID. - [PUT /events/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/updateevent.md): This method will update an existing event with the specified ID. ## Exhibitor Add On Products Exhibitor Add On Products ### Creates a new exhibitor add on product record that does not already exist. - [POST /exhibitorAddOnProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-add-on-products/createexhibitoraddonproduct.md): This method will auto-generate an ID and create a new exhibitor add on product. If an ID is specified for the exhibitor add on product, an error will be thrown. ### Execute Batch Operations - [POST /exhibitorAddOnProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-add-on-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /exhibitorAddOnProducts/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-add-on-products/listproductsbyeventid.md): Returns a list of records with the specified event_id ### Returns a exhibitor add on product from the system by its ID. - [DELETE /exhibitorAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-add-on-products/deleteexhibitoraddonproduct.md): This method will delete a exhibitor add on product with the specified ID. ### Returns a exhibitor add on product from the system by its ID. - [GET /exhibitorAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-add-on-products/getexhibitoraddonproduct.md): This method will look up a exhibitor add on product by the specified ID and return it back. ### Partially updates a exhibitor add on product with the specified ID. - [PATCH /exhibitorAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-add-on-products/patchexhibitoraddonproduct.md): This method will patch an existing exhibitor add on product with the specified ID, using the HTTP PATCH specification. ### Updates a exhibitor add on product with the specified ID. - [PUT /exhibitorAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-add-on-products/updateexhibitoraddonproduct.md): This method will update an existing exhibitor add on product with the specified ID. ## Exhibitor Booth Fees Exhibitor Booth Fees ### Creates a new exhibitor booth fee record that does not already exist. - [POST /exhibitorBoothFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-fees/createexhibitorboothfee.md): This method will auto-generate an ID and create a new exhibitor booth fee. If an ID is specified for the exhibitor booth fee, an error will be thrown. ### Execute Batch Operations - [POST /exhibitorBoothFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /exhibitorBoothFees/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-fees/listfeesbyeventid.md): Returns a list of records with the specified event_id ### Returns a exhibitor booth fee from the system by its ID. - [DELETE /exhibitorBoothFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-fees/deleteexhibitorboothfee.md): This method will delete a exhibitor booth fee with the specified ID. ### Returns a exhibitor booth fee from the system by its ID. - [GET /exhibitorBoothFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-fees/getexhibitorboothfee.md): This method will look up a exhibitor booth fee by the specified ID and return it back. ### Partially updates a exhibitor booth fee with the specified ID. - [PATCH /exhibitorBoothFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-fees/patchexhibitorboothfee.md): This method will patch an existing exhibitor booth fee with the specified ID, using the HTTP PATCH specification. ### Updates a exhibitor booth fee with the specified ID. - [PUT /exhibitorBoothFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-fees/updateexhibitorboothfee.md): This method will update an existing exhibitor booth fee with the specified ID. ## Exhibitor Booth Types Exhibitor Booth Types ### Gets all of the exhibitor booth types in the system. - [GET /exhibitorBoothTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-types/listexhibitorboothtypes.md): This method will scan all exhibitor booth types and and return them to the caller. ### Creates a new exhibitor booth type record that does not already exist. - [POST /exhibitorBoothTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-types/createexhibitorboothtype.md): This method will auto-generate an ID and create a new exhibitor booth type. If an ID is specified for the exhibitor booth type, an error will be thrown. ### Execute Batch Operations - [POST /exhibitorBoothTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a exhibitor booth type from the system by its ID. - [DELETE /exhibitorBoothTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-types/deleteexhibitorboothtype.md): This method will delete a exhibitor booth type with the specified ID. ### Returns a exhibitor booth type from the system by its ID. - [GET /exhibitorBoothTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-types/getexhibitorboothtype.md): This method will look up a exhibitor booth type by the specified ID and return it back. ### Partially updates a exhibitor booth type with the specified ID. - [PATCH /exhibitorBoothTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-types/patchexhibitorboothtype.md): This method will patch an existing exhibitor booth type with the specified ID, using the HTTP PATCH specification. ### Updates a exhibitor booth type with the specified ID. - [PUT /exhibitorBoothTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booth-types/updateexhibitorboothtype.md): This method will update an existing exhibitor booth type with the specified ID. ## Exhibitor Booths Exhibitor Booths ### Creates a new exhibitor booth record that does not already exist. - [POST /exhibitorBooths/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/createexhibitorbooth.md): This method will auto-generate an ID and create a new exhibitor booth. If an ID is specified for the exhibitor booth, an error will be thrown. ### Execute Batch Operations - [POST /exhibitorBooths/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /exhibitorBooths/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/listboothsbyeventid.md): Returns a list of records with the specified event_id ### Returns a list of records with the specified exhibitor_id - [GET /exhibitorBooths/{tenantId}/exhibitor/{exhibitor_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/listboothsbyexhibitorid.md): Returns a list of records with the specified exhibitor_id ### Returns a list of records with the specified holding_organization_id - [GET /exhibitorBooths/{tenantId}/holdingOrganization/{event_id}/{holding_organization_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/listboothsbyholdingorganizationid.md): Returns a list of records with the specified holding_organization_id ### Generate multiple booths - [POST /exhibitorBooths/{tenantId}/multiple/{numberToGenerate}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/generatemultiplebooths.md): Generates up to 250 booths ### Returns a list of records with the specified organization_id - [GET /exhibitorBooths/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/listboothsbyorganizationid.md): Returns a list of records with the specified organization_id ### Returns a list of records with the specified event_id - [GET /exhibitorBooths/{tenantId}/public/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/listpublicboothsbyeventid.md): Returns a list of records with the specified event_id ### Returns a list of records with the specified exhibitor_id - [GET /exhibitorBooths/{tenantId}/public/exhibitor/{exhibitor_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/listpublicboothsbyexhibitorid.md): Returns a list of records with the specified exhibitor_id ### Returns a exhibitor booth from the system by its ID. - [DELETE /exhibitorBooths/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/deleteexhibitorbooth.md): This method will delete a exhibitor booth with the specified ID. ### Returns a exhibitor booth from the system by its ID. - [GET /exhibitorBooths/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/getexhibitorbooth.md): This method will look up a exhibitor booth by the specified ID and return it back. ### Partially updates a exhibitor booth with the specified ID. - [PATCH /exhibitorBooths/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/patchexhibitorbooth.md): This method will patch an existing exhibitor booth with the specified ID, using the HTTP PATCH specification. ### Updates a exhibitor booth with the specified ID. - [PUT /exhibitorBooths/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-booths/updateexhibitorbooth.md): This method will update an existing exhibitor booth with the specified ID. ## Exhibitor Categories Exhibitor Categories ### Gets all of the exhibitor categories in the system. - [GET /exhibitorCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-categories/listexhibitorcategories.md): This method will scan all exhibitor categories and and return them to the caller. ### Creates a new exhibitor category record that does not already exist. - [POST /exhibitorCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-categories/createexhibitorcategory.md): This method will auto-generate an ID and create a new exhibitor category. If an ID is specified for the exhibitor category, an error will be thrown. ### Execute Batch Operations - [POST /exhibitorCategories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-categories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a exhibitor category from the system by its ID. - [DELETE /exhibitorCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-categories/deleteexhibitorcategory.md): This method will delete a exhibitor category with the specified ID. ### Returns a exhibitor category from the system by its ID. - [GET /exhibitorCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-categories/getexhibitorcategory.md): This method will look up a exhibitor category by the specified ID and return it back. ### Partially updates a exhibitor category with the specified ID. - [PATCH /exhibitorCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-categories/patchexhibitorcategory.md): This method will patch an existing exhibitor category with the specified ID, using the HTTP PATCH specification. ### Updates a exhibitor category with the specified ID. - [PUT /exhibitorCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-categories/updateexhibitorcategory.md): This method will update an existing exhibitor category with the specified ID. ## Exhibitor Contact Types Exhibitor Contact Types ### Gets all of the exhibitor contact types in the system. - [GET /exhibitorContactTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-contact-types/listexhibitorcontacttypes.md): This method will scan all exhibitor contact types and and return them to the caller. ### Creates a new exhibitor contact type record that does not already exist. - [POST /exhibitorContactTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-contact-types/createexhibitorcontacttype.md): This method will auto-generate an ID and create a new exhibitor contact type. If an ID is specified for the exhibitor contact type, an error will be thrown. ### Execute Batch Operations - [POST /exhibitorContactTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-contact-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a exhibitor contact type from the system by its ID. - [DELETE /exhibitorContactTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-contact-types/deleteexhibitorcontacttype.md): This method will delete a exhibitor contact type with the specified ID. ### Returns a exhibitor contact type from the system by its ID. - [GET /exhibitorContactTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-contact-types/getexhibitorcontacttype.md): This method will look up a exhibitor contact type by the specified ID and return it back. ### Partially updates a exhibitor contact type with the specified ID. - [PATCH /exhibitorContactTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-contact-types/patchexhibitorcontacttype.md): This method will patch an existing exhibitor contact type with the specified ID, using the HTTP PATCH specification. ### Updates a exhibitor contact type with the specified ID. - [PUT /exhibitorContactTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-contact-types/updateexhibitorcontacttype.md): This method will update an existing exhibitor contact type with the specified ID. ## Exhibitor Priority Point Types Exhibitor Priority Point Types ### Gets all of the exhibitor priority point types in the system. - [GET /exhibitorPriorityPointTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-priority-point-types/listexhibitorprioritypointtypes.md): This method will scan all exhibitor priority point types and and return them to the caller. ### Creates a new exhibitor priority point type record that does not already exist. - [POST /exhibitorPriorityPointTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-priority-point-types/createexhibitorprioritypointtype.md): This method will auto-generate an ID and create a new exhibitor priority point type. If an ID is specified for the exhibitor priority point type, an error will be thrown. ### Execute Batch Operations - [POST /exhibitorPriorityPointTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-priority-point-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a exhibitor priority point type from the system by its ID. - [DELETE /exhibitorPriorityPointTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-priority-point-types/deleteexhibitorprioritypointtype.md): This method will delete a exhibitor priority point type with the specified ID. ### Returns a exhibitor priority point type from the system by its ID. - [GET /exhibitorPriorityPointTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-priority-point-types/getexhibitorprioritypointtype.md): This method will look up a exhibitor priority point type by the specified ID and return it back. ### Partially updates a exhibitor priority point type with the specified ID. - [PATCH /exhibitorPriorityPointTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-priority-point-types/patchexhibitorprioritypointtype.md): This method will patch an existing exhibitor priority point type with the specified ID, using the HTTP PATCH specification. ### Updates a exhibitor priority point type with the specified ID. - [PUT /exhibitorPriorityPointTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-priority-point-types/updateexhibitorprioritypointtype.md): This method will update an existing exhibitor priority point type with the specified ID. ## Exhibitor Reg Processes Exhibitor Reg Processes ### Creates a new exhibitor reg process record that does not already exist. - [POST /exhibitorRegProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/createexhibitorregprocess.md): This method will auto-generate an ID and create a new exhibitor reg process. If an ID is specified for the exhibitor reg process, an error will be thrown. ### Execute Batch Operations - [POST /exhibitorRegProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Get eligible processes - [GET /exhibitorRegProcesses/{tenantId}/eligible/{eventId}/{organizationId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/geteligibleprocesses.md) ### Returns a list of records with the specified event_id - [GET /exhibitorRegProcesses/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/listprocessesbyeventid.md): Returns a list of records with the specified event_id ### Returns a exhibitor reg process from the system by its ID. - [DELETE /exhibitorRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/deleteexhibitorregprocess.md): This method will delete a exhibitor reg process with the specified ID. ### Returns a exhibitor reg process from the system by its ID. - [GET /exhibitorRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/getexhibitorregprocess.md): This method will look up a exhibitor reg process by the specified ID and return it back. ### Partially updates a exhibitor reg process with the specified ID. - [PATCH /exhibitorRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/patchexhibitorregprocess.md): This method will patch an existing exhibitor reg process with the specified ID, using the HTTP PATCH specification. ### Updates a exhibitor reg process with the specified ID. - [PUT /exhibitorRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/updateexhibitorregprocess.md): This method will update an existing exhibitor reg process with the specified ID. ## Exhibitor Registrations Exhibitor Registrations ### Creates a new exhibitor registration record that does not already exist. - [POST /exhibitorRegistrations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/createexhibitorregistration.md): This method will auto-generate an ID and create a new exhibitor registration. If an ID is specified for the exhibitor registration, an error will be thrown. ### Execute Batch Operations - [POST /exhibitorRegistrations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified exhibitor_id - [GET /exhibitorRegistrations/{tenantId}/exhibitor/{exhibitor_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/listregistrationsbyexhibitorid.md): Returns a list of records with the specified exhibitor_id ### Generates an order from an exhibitor registration - [POST /exhibitorRegistrations/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/generateorder.md): This method will examine an event registration and generate an appropriate order ### Returns a list of records with the specified order_id - [GET /exhibitorRegistrations/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/listregistrationsbyorderid.md): Returns a list of records with the specified order_id ### Returns a list of records with the specified organization_id - [GET /exhibitorRegistrations/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/listregistrationsbyorganizationid.md): Returns a list of records with the specified organization_id ### Validate Add Ons - [POST /exhibitorRegistrations/{tenantId}/validateAddOns](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/validateaddons.md): Returns a list of records with the specified organization_id ### Returns a exhibitor registration from the system by its ID. - [DELETE /exhibitorRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/deleteexhibitorregistration.md): This method will delete a exhibitor registration with the specified ID. ### Returns a exhibitor registration from the system by its ID. - [GET /exhibitorRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/getexhibitorregistration.md): This method will look up a exhibitor registration by the specified ID and return it back. ### Partially updates a exhibitor registration with the specified ID. - [PATCH /exhibitorRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/patchexhibitorregistration.md): This method will patch an existing exhibitor registration with the specified ID, using the HTTP PATCH specification. ### Updates a exhibitor registration with the specified ID. - [PUT /exhibitorRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/updateexhibitorregistration.md): This method will update an existing exhibitor registration with the specified ID. ## Exhibitor Settings Exhibitor Settings ### Creates a new exhibitor setting record that does not already exist. - [POST /exhibitorSettings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-settings/createexhibitorsetting.md): This method will auto-generate an ID and create a new exhibitor setting. If an ID is specified for the exhibitor setting, an error will be thrown. ### Execute Batch Operations - [POST /exhibitorSettings/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-settings/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a exhibitor setting from the system by its ID. - [DELETE /exhibitorSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-settings/deleteexhibitorsetting.md): This method will delete a exhibitor setting with the specified ID. ### Returns a exhibitor setting from the system by its ID. - [GET /exhibitorSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-settings/getexhibitorsetting.md): This method will look up a exhibitor setting by the specified ID and return it back. ### Partially updates a exhibitor setting with the specified ID. - [PATCH /exhibitorSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-settings/patchexhibitorsetting.md): This method will patch an existing exhibitor setting with the specified ID, using the HTTP PATCH specification. ### Updates a exhibitor setting with the specified ID. - [PUT /exhibitorSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-settings/updateexhibitorsetting.md): This method will update an existing exhibitor setting with the specified ID. ## Exhibitor Show Floors Exhibitor Show Floors ### Creates a new exhibitor show floor record that does not already exist. - [POST /exhibitorShowFloors/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-show-floors/createexhibitorshowfloor.md): This method will auto-generate an ID and create a new exhibitor show floor. If an ID is specified for the exhibitor show floor, an error will be thrown. ### Execute Batch Operations - [POST /exhibitorShowFloors/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-show-floors/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /exhibitorShowFloors/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-show-floors/listfloorsbyeventid.md): Returns a list of records with the specified event_id ### Returns a exhibitor show floor from the system by its ID. - [DELETE /exhibitorShowFloors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-show-floors/deleteexhibitorshowfloor.md): This method will delete a exhibitor show floor with the specified ID. ### Returns a exhibitor show floor from the system by its ID. - [GET /exhibitorShowFloors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-show-floors/getexhibitorshowfloor.md): This method will look up a exhibitor show floor by the specified ID and return it back. ### Partially updates a exhibitor show floor with the specified ID. - [PATCH /exhibitorShowFloors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-show-floors/patchexhibitorshowfloor.md): This method will patch an existing exhibitor show floor with the specified ID, using the HTTP PATCH specification. ### Updates a exhibitor show floor with the specified ID. - [PUT /exhibitorShowFloors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-show-floors/updateexhibitorshowfloor.md): This method will update an existing exhibitor show floor with the specified ID. ## Exhibitors Exhibitors ### Creates a new exhibitor record that does not already exist. - [POST /exhibitors/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/createexhibitor.md): This method will auto-generate an ID and create a new exhibitor. If an ID is specified for the exhibitor, an error will be thrown. ### Execute Batch Operations - [POST /exhibitors/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Gets the allowed number of contacts for an exhibitor registration - [POST /exhibitors/{tenantId}/contactAllowance](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/getcontactallowanceforexhibitorregistration.md): Applies the contact rule restrictions in exhibitor settings and determines how many contacts of each type an exhibitor is allowed to have ### Gets the allowed number of contacts for an exhibitor - [GET /exhibitors/{tenantId}/contactAllowance/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/getcontactallowance.md): Applies the contact rule restrictions in exhibitor settings and determines how many contacts of each type an exhibitor is allowed to have ### Returns a list of records with the specified event_id - [GET /exhibitors/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/listexhibitorsbyeventid.md): Returns a list of records with the specified event_id ### Returns a list of records with the specified organization_id - [GET /exhibitors/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/listexhibitorsbyorganizationid.md): Returns a list of records with the specified organization_id ### Returns a list of records with the specified event_id - [GET /exhibitors/{tenantId}/public/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/listpublicexhibitorsbyeventid.md): Returns a list of records with the specified event_id ### Returns a exhibitor from the system by its ID. - [DELETE /exhibitors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/deleteexhibitor.md): This method will delete a exhibitor with the specified ID. ### Returns a exhibitor from the system by its ID. - [GET /exhibitors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/getexhibitor.md): This method will look up a exhibitor by the specified ID and return it back. ### Partially updates a exhibitor with the specified ID. - [PATCH /exhibitors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/patchexhibitor.md): This method will patch an existing exhibitor with the specified ID, using the HTTP PATCH specification. ### Updates a exhibitor with the specified ID. - [PUT /exhibitors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/updateexhibitor.md): This method will update an existing exhibitor with the specified ID. ## Function Fees Function Fees ### Creates a new function fee record that does not already exist. - [POST /functionFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/createfunctionfee.md): This method will auto-generate an ID and create a new function fee. If an ID is specified for the function fee, an error will be thrown. ### Execute Batch Operations - [POST /functionFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /functionFees/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/listfeesbyeventid.md): Returns a list of records with the specified event_id ### Returns a list of records with the specified function_id - [GET /functionFees/{tenantId}/function/{function_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/listfeesbyfunctionid.md): Returns a list of records with the specified function_id ### Returns a function fee from the system by its ID. - [DELETE /functionFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/deletefunctionfee.md): This method will delete a function fee with the specified ID. ### Returns a function fee from the system by its ID. - [GET /functionFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/getfunctionfee.md): This method will look up a function fee by the specified ID and return it back. ### Partially updates a function fee with the specified ID. - [PATCH /functionFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/patchfunctionfee.md): This method will patch an existing function fee with the specified ID, using the HTTP PATCH specification. ### Updates a function fee with the specified ID. - [PUT /functionFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/updatefunctionfee.md): This method will update an existing function fee with the specified ID. ## Function Tickets Function Tickets ### Creates a new function ticket record that does not already exist. - [POST /functionTickets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/createfunctionticket.md): This method will auto-generate an ID and create a new function ticket. If an ID is specified for the function ticket, an error will be thrown. ### Execute Batch Operations - [POST /functionTickets/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_contact_id - [GET /functionTickets/{tenantId}/eventContact/{eventId}/{idOfContact}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/listticketforcontactandevent.md): Returns a list of records with the specified event_contact_id ### Returns a list of records with the specified function_id - [GET /functionTickets/{tenantId}/function/{function_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/listticketsbyfunctionid.md): Returns a list of records with the specified function_id ### Returns a function ticket from the system by its ID. - [DELETE /functionTickets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/deletefunctionticket.md): This method will delete a function ticket with the specified ID. ### Returns a function ticket from the system by its ID. - [GET /functionTickets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/getfunctionticket.md): This method will look up a function ticket by the specified ID and return it back. ### Partially updates a function ticket with the specified ID. - [PATCH /functionTickets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/patchfunctionticket.md): This method will patch an existing function ticket with the specified ID, using the HTTP PATCH specification. ### Updates a function ticket with the specified ID. - [PUT /functionTickets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/updatefunctionticket.md): This method will update an existing function ticket with the specified ID. ## Function Types Function Types ### Gets all of the function types in the system. - [GET /functionTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/listfunctiontypes.md): This method will scan all function types and and return them to the caller. ### Creates a new function type record that does not already exist. - [POST /functionTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/createfunctiontype.md): This method will auto-generate an ID and create a new function type. If an ID is specified for the function type, an error will be thrown. ### Execute Batch Operations - [POST /functionTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Gets all of the function types in the system. - [GET /functionTypes/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/listfunctiontypespublic.md): This method will scan all function types and and return them to the caller. ### Returns a function type from the system by its ID. - [DELETE /functionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/deletefunctiontype.md): This method will delete a function type with the specified ID. ### Returns a function type from the system by its ID. - [GET /functionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/getfunctiontype.md): This method will look up a function type by the specified ID and return it back. ### Partially updates a function type with the specified ID. - [PATCH /functionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/patchfunctiontype.md): This method will patch an existing function type with the specified ID, using the HTTP PATCH specification. ### Updates a function type with the specified ID. - [PUT /functionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-types/updatefunctiontype.md): This method will update an existing function type with the specified ID. ## Functions Functions ### Creates a new function record that does not already exist. - [POST /functions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/createfunction.md): This method will auto-generate an ID and create a new function. If an ID is specified for the function, an error will be thrown. ### Execute Batch Operations - [POST /functions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /functions/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/listfunctionsbyeventid.md): Returns a list of records with the specified event_id ### Describes all of the functions for an event - [GET /functions/{tenantId}/public/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/describefunctionsforevent.md): Returns a list of records with the specified event_id ### Returns a function from the system by its ID. - [GET /functions/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/publicgetfunction.md): This method will look up a function by the specified ID and return it back. ### Searches for functions using predefined parameters - [POST /functions/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/searchforfunctions.md): Searches for functions using predefined parameters ### Returns a function from the system by its ID. - [DELETE /functions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/deletefunction.md): This method will delete a function with the specified ID. ### Returns a function from the system by its ID. - [GET /functions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/getfunction.md): This method will look up a function by the specified ID and return it back. ### Partially updates a function with the specified ID. - [PATCH /functions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/patchfunction.md): This method will patch an existing function with the specified ID, using the HTTP PATCH specification. ### Updates a function with the specified ID. - [PUT /functions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/updatefunction.md): This method will update an existing function with the specified ID. ## Miscellaneous Events Miscellaneous Events ### Creates a new miscellaneous event record that does not already exist. - [POST /miscellaneousEvents/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/miscellaneous-events/createmiscellaneousevent.md): This method will auto-generate an ID and create a new miscellaneous event. If an ID is specified for the miscellaneous event, an error will be thrown. ### Execute Batch Operations - [POST /miscellaneousEvents/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/miscellaneous-events/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /miscellaneousEvents/{tenantId}/public/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/miscellaneous-events/listmiscellaneouseventsbyeventid.md): Returns a list of records with the specified event_id ### Returns a miscellaneous event from the system by its ID. - [DELETE /miscellaneousEvents/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/miscellaneous-events/deletemiscellaneousevent.md): This method will delete a miscellaneous event with the specified ID. ### Returns a miscellaneous event from the system by its ID. - [GET /miscellaneousEvents/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/miscellaneous-events/getmiscellaneousevent.md): This method will look up a miscellaneous event by the specified ID and return it back. ### Partially updates a miscellaneous event with the specified ID. - [PATCH /miscellaneousEvents/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/miscellaneous-events/patchmiscellaneousevent.md): This method will patch an existing miscellaneous event with the specified ID, using the HTTP PATCH specification. ### Updates a miscellaneous event with the specified ID. - [PUT /miscellaneousEvents/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/miscellaneous-events/updatemiscellaneousevent.md): This method will update an existing miscellaneous event with the specified ID. ## Priority Point Assignments Priority Point Assignments ### Creates a new priority point assignment record that does not already exist. - [POST /priorityPointAssignments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/createprioritypointassignment.md): This method will auto-generate an ID and create a new priority point assignment. If an ID is specified for the priority point assignment, an error will be thrown. ### Recaculate Priority Point Accumulation - [POST /priorityPointAssignments/{tenantId}/accumulation/recalculate](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/recalculateaccumulationrules.md): Returns a list of records with the specified organization_id ### Tests Accumulation Rules - [POST /priorityPointAssignments/{tenantId}/accumulation/test/{organization_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/testaccumulationrules.md): Returns a list of records with the specified organization_id ### Execute Batch Operations - [POST /priorityPointAssignments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified organization_id - [GET /priorityPointAssignments/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/listassignmentsbyorganizationid.md): Returns a list of records with the specified organization_id ### Returns a priority point assignment from the system by its ID. - [DELETE /priorityPointAssignments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/deleteprioritypointassignment.md): This method will delete a priority point assignment with the specified ID. ### Returns a priority point assignment from the system by its ID. - [GET /priorityPointAssignments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/getprioritypointassignment.md): This method will look up a priority point assignment by the specified ID and return it back. ### Partially updates a priority point assignment with the specified ID. - [PATCH /priorityPointAssignments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/patchprioritypointassignment.md): This method will patch an existing priority point assignment with the specified ID, using the HTTP PATCH specification. ### Updates a priority point assignment with the specified ID. - [PUT /priorityPointAssignments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/updateprioritypointassignment.md): This method will update an existing priority point assignment with the specified ID. ## Query Definitions Query Definitions ### Returns a list of records - [GET /queryDefinitions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/query-definitions/getquerydefinitions.md): Returns a list of records ## Registrant Directories Registrant Directories ### Creates a new registrant directory record that does not already exist. - [POST /registrantDirectories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/createregistrantdirectory.md): This method will auto-generate an ID and create a new registrant directory. If an ID is specified for the registrant directory, an error will be thrown. ### Execute Batch Operations - [POST /registrantDirectories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /registrantDirectories/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/listdirectoriesbyeventid.md): Returns a list of records with the specified event_id ### Gets an entry in the directory - [GET /registrantDirectories/{tenantId}/public/entry/{id}/{entryId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/getdirectoryentry.md) ### Searches the directory - [POST /registrantDirectories/{tenantId}/public/search/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/searchpublicdirectory.md) ### Sends a message to an entry in the directory - [POST /registrantDirectories/{tenantId}/public/sendMessage/{directoryId}/{entryId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/senddirectorymessage.md) ### Returns a registrant directory from the system by its ID. - [GET /registrantDirectories/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/getpublicdirectory.md): This method will look up a registrant directory by the specified ID and return it back. ### Searches the directory - [POST /registrantDirectories/{tenantId}/search/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/searchdirectory.md) ### Returns a registrant directory from the system by its ID. - [DELETE /registrantDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/deleteregistrantdirectory.md): This method will delete a registrant directory with the specified ID. ### Returns a registrant directory from the system by its ID. - [GET /registrantDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/getregistrantdirectory.md): This method will look up a registrant directory by the specified ID and return it back. ### Partially updates a registrant directory with the specified ID. - [PATCH /registrantDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/patchregistrantdirectory.md): This method will patch an existing registrant directory with the specified ID, using the HTTP PATCH specification. ### Updates a registrant directory with the specified ID. - [PUT /registrantDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/updateregistrantdirectory.md): This method will update an existing registrant directory with the specified ID. ## Registration Add On Products Registration Add On Products ### Creates a new registration add on product record that does not already exist. - [POST /registrationAddOnProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/createregistrationaddonproduct.md): This method will auto-generate an ID and create a new registration add on product. If an ID is specified for the registration add on product, an error will be thrown. ### Execute Batch Operations - [POST /registrationAddOnProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /registrationAddOnProducts/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/listproductsbyeventid.md): Returns a list of records with the specified event_id ### Returns a registration add on product from the system by its ID. - [DELETE /registrationAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/deleteregistrationaddonproduct.md): This method will delete a registration add on product with the specified ID. ### Returns a registration add on product from the system by its ID. - [GET /registrationAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/getregistrationaddonproduct.md): This method will look up a registration add on product by the specified ID and return it back. ### Partially updates a registration add on product with the specified ID. - [PATCH /registrationAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/patchregistrationaddonproduct.md): This method will patch an existing registration add on product with the specified ID, using the HTTP PATCH specification. ### Updates a registration add on product with the specified ID. - [PUT /registrationAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/updateregistrationaddonproduct.md): This method will update an existing registration add on product with the specified ID. ## Registration Add On Types Registration Add On Types ### Gets all of the registration add on types in the system. - [GET /registrationAddOnTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-types/listregistrationaddontypes.md): This method will scan all registration add on types and and return them to the caller. ### Creates a new registration add on type record that does not already exist. - [POST /registrationAddOnTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-types/createregistrationaddontype.md): This method will auto-generate an ID and create a new registration add on type. If an ID is specified for the registration add on type, an error will be thrown. ### Execute Batch Operations - [POST /registrationAddOnTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a registration add on type from the system by its ID. - [DELETE /registrationAddOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-types/deleteregistrationaddontype.md): This method will delete a registration add on type with the specified ID. ### Returns a registration add on type from the system by its ID. - [GET /registrationAddOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-types/getregistrationaddontype.md): This method will look up a registration add on type by the specified ID and return it back. ### Partially updates a registration add on type with the specified ID. - [PATCH /registrationAddOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-types/patchregistrationaddontype.md): This method will patch an existing registration add on type with the specified ID, using the HTTP PATCH specification. ### Updates a registration add on type with the specified ID. - [PUT /registrationAddOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-types/updateregistrationaddontype.md): This method will update an existing registration add on type with the specified ID. ## Registration Categories Registration Categories ### Gets all of the registration categories in the system. - [GET /registrationCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-categories/listregistrationcategories.md): This method will scan all registration categories and and return them to the caller. ### Creates a new registration category record that does not already exist. - [POST /registrationCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-categories/createregistrationcategory.md): This method will auto-generate an ID and create a new registration category. If an ID is specified for the registration category, an error will be thrown. ### Execute Batch Operations - [POST /registrationCategories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-categories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a registration category from the system by its ID. - [DELETE /registrationCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-categories/deleteregistrationcategory.md): This method will delete a registration category with the specified ID. ### Returns a registration category from the system by its ID. - [GET /registrationCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-categories/getregistrationcategory.md): This method will look up a registration category by the specified ID and return it back. ### Partially updates a registration category with the specified ID. - [PATCH /registrationCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-categories/patchregistrationcategory.md): This method will patch an existing registration category with the specified ID, using the HTTP PATCH specification. ### Updates a registration category with the specified ID. - [PUT /registrationCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-categories/updateregistrationcategory.md): This method will update an existing registration category with the specified ID. ## Registration Change Fees Registration Change Fees ### Gets all of the registration change fees in the system. - [GET /registrationChangeFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-change-fees/listregistrationchangefees.md): This method will scan all registration change fees and and return them to the caller. ### Creates a new registration change fee record that does not already exist. - [POST /registrationChangeFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-change-fees/createregistrationchangefee.md): This method will auto-generate an ID and create a new registration change fee. If an ID is specified for the registration change fee, an error will be thrown. ### Execute Batch Operations - [POST /registrationChangeFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-change-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a registration change fee from the system by its ID. - [DELETE /registrationChangeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-change-fees/deleteregistrationchangefee.md): This method will delete a registration change fee with the specified ID. ### Returns a registration change fee from the system by its ID. - [GET /registrationChangeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-change-fees/getregistrationchangefee.md): This method will look up a registration change fee by the specified ID and return it back. ### Partially updates a registration change fee with the specified ID. - [PATCH /registrationChangeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-change-fees/patchregistrationchangefee.md): This method will patch an existing registration change fee with the specified ID, using the HTTP PATCH specification. ### Updates a registration change fee with the specified ID. - [PUT /registrationChangeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-change-fees/updateregistrationchangefee.md): This method will update an existing registration change fee with the specified ID. ## Registration Deadlines Registration Deadlines ### Gets all of the registration deadlines in the system. - [GET /registrationDeadlines/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-deadlines/listregistrationdeadlines.md): This method will scan all registration deadlines and and return them to the caller. ### Creates a new registration deadline record that does not already exist. - [POST /registrationDeadlines/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-deadlines/createregistrationdeadline.md): This method will auto-generate an ID and create a new registration deadline. If an ID is specified for the registration deadline, an error will be thrown. ### Execute Batch Operations - [POST /registrationDeadlines/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-deadlines/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a registration deadline from the system by its ID. - [DELETE /registrationDeadlines/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-deadlines/deleteregistrationdeadline.md): This method will delete a registration deadline with the specified ID. ### Returns a registration deadline from the system by its ID. - [GET /registrationDeadlines/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-deadlines/getregistrationdeadline.md): This method will look up a registration deadline by the specified ID and return it back. ### Partially updates a registration deadline with the specified ID. - [PATCH /registrationDeadlines/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-deadlines/patchregistrationdeadline.md): This method will patch an existing registration deadline with the specified ID, using the HTTP PATCH specification. ### Updates a registration deadline with the specified ID. - [PUT /registrationDeadlines/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-deadlines/updateregistrationdeadline.md): This method will update an existing registration deadline with the specified ID. ## Registration Groups Registration Groups ### Creates a new registration group record that does not already exist. - [POST /registrationGroups/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/createregistrationgroup.md): This method will auto-generate an ID and create a new registration group. If an ID is specified for the registration group, an error will be thrown. ### Returns a list of records with the specified administrator_id - [GET /registrationGroups/{tenantId}/administrator/{event_id}/{administrator_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/listgroupsbyadministratorid.md): Returns a list of records with the specified administrator_id ### Execute Batch Operations - [POST /registrationGroups/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified administrator_id - [GET /registrationGroups/{tenantId}/contact/{groupId}/{administratorId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/getgroupcontact.md): Returns a list of records with the specified administrator_id ### Searches for registration groups using predefined parameters - [POST /registrationGroups/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/searchforregistrationgroups.md): Searches for registration groups using predefined parameters ### Returns a registration group from the system by its ID. - [DELETE /registrationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/deleteregistrationgroup.md): This method will delete a registration group with the specified ID. ### Returns a registration group from the system by its ID. - [GET /registrationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/getregistrationgroup.md): This method will look up a registration group by the specified ID and return it back. ### Partially updates a registration group with the specified ID. - [PATCH /registrationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/patchregistrationgroup.md): This method will patch an existing registration group with the specified ID, using the HTTP PATCH specification. ### Updates a registration group with the specified ID. - [PUT /registrationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/updateregistrationgroup.md): This method will update an existing registration group with the specified ID. ## Registration Packages Registration Packages ### Creates a new registration package record that does not already exist. - [POST /registrationPackages/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/createregistrationpackage.md): This method will auto-generate an ID and create a new registration package. If an ID is specified for the registration package, an error will be thrown. ### Execute Batch Operations - [POST /registrationPackages/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified event_id - [GET /registrationPackages/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/listpackagesbyeventid.md): Returns a list of records with the specified event_id ### Returns a list of records with the specified event_id - [GET /registrationPackages/{tenantId}/public/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/listpackagesbyeventidpublic.md): Returns a list of records with the specified event_id ### Get Packages for Online Store - [POST /registrationPackages/{tenantId}/public/onlineStore](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/getpackagesforonlinestore.md): Public endpoint that gets packages for use in the online store ### Returns a list of records with the specified event_id - [GET /registrationPackages/{tenantId}/public/rateSchedule/{eventId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/getrateschedule.md): Returns a list of records with the specified event_id ### Returns a registration package from the system by its ID. - [DELETE /registrationPackages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/deleteregistrationpackage.md): This method will delete a registration package with the specified ID. ### Returns a registration package from the system by its ID. - [GET /registrationPackages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/getregistrationpackage.md): This method will look up a registration package by the specified ID and return it back. ### Partially updates a registration package with the specified ID. - [PATCH /registrationPackages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/patchregistrationpackage.md): This method will patch an existing registration package with the specified ID, using the HTTP PATCH specification. ### Updates a registration package with the specified ID. - [PUT /registrationPackages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-packages/upd
[...]
